# axiosdemo

## yarn
跟npm差不多的包管理器，感觉使用起来挺舒服的，所以推荐使用
## 初始化项目
yarn 
## 运行
yarn serve
## 教程
先安装axios `yarn add axios`，然后在main.js引入。
```
import axios from 'axios'
Vue.prototype.$axios = axios
```
## 使用
在生命周期或者需要请求接口的位置
```
this.$axios.get("https://theluyuan.com/popArticles").then((res)=>{
  console.log(res)
})
```
可能会出现跨域问题，解决方法是后台允许跨域请求或者使用vuecli的代理服务器。
后台配置之后继续使用以上网址，前台代理服务器请在`vue.config.js`写入
```
module.exports = {
    devServer: {
        proxy: {
          '/api': {
            target: 'https://theluyuan.com', //接口域名
            ws: true,
            changeOrigin: true
          }
        }
      }
}
```
设置前缀`/api`的请求转发到`https://theluyuan.com`
```
 this.$axios.get("/api/popArticles").then((res)=>{
  console.log(res)
})
//实际请求地址就是 https://theluyuan.com/popArticles
```
这是基础使用，需要有些promise基础，其他问题清参考文档。链接 [axios-看云](https://www.kancloud.cn/yunye/axios/234845)。其他跟这些都是一样的了

promise基础可以参照阮一峰大大的[promise](https://es6.ruanyifeng.com/#docs/promise)或者[我的博客](https://theluyuan.com/blog/web-design/promise_1nd)